Tools
Functions the model may call, and the secret that signs their requests.
| Operation | Summary | Scope | Released in | Phase 0 host |
|---|---|---|---|---|
GET /v1/tool-signing-secret | Read the state of the Organization's tool signing secret | tools:read | 1.50.0 | served |
POST /v1/tool-signing-secret/rotate | Rotate the Organization's tool signing secret | tools:write | 1.49.0 | served |
GET /v1/tools | List Tools | tools:read | 1.49.0 | served |
POST /v1/tools | Create a Tool | tools:write | 1.49.0 | served |
GET /v1/tools/{tool_id} | Read a Tool | tools:read | 1.49.0 | served |
PATCH /v1/tools/{tool_id} | Update a Tool | tools:write | 1.49.0 | served |
DELETE /v1/tools/{tool_id} | Archive a Tool | tools:write | 1.49.0 | served |
POST /v1/tools/{tool_id}/test | Send one real request of an http Tool | tools:write | 1.49.0 | served |